<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################

if (isset($user)){header('Location: /');} //Переадресация пользователей

//Через POST
if(isset($_POST['submit'])) {
//Обработка
$sql = "SELECT COUNT(*) FROM ".PREFIX."users WHERE `login` = '".filtr($_POST['login'])."' && `password` = '".encrypt(filtr($_POST['password']))."'";  
if ($STH = $mysql->query($sql)) {
$STH = $STH->fetch_row();
$STH = $STH[0];  
if ($STH > 0) {  
$res = $mysql -> query("SELECT `id` FROM `".PREFIX."users` WHERE `login` = '".filtr($_POST['login'])."';"); 
$uid = $res -> fetch_assoc();
setcookie('userid', $uid['id'], time()+ 86400457, '/'); 
setcookie('password', md5(filtr($_POST['password'])), time()+ 86400457, '/');	 
header('Location: /?err=1');   
}  
else {echo '<div class="main">Неверный логин или пароль!</div>';} //Вывод ошибки  
}} //Конец обработки
//Через GET
if(isset($_GET['login']) && isset($_GET['password'])) {
//Обработка
$sql = "SELECT COUNT(*) FROM ".PREFIX."users WHERE `login` = '".filtr($_GET['login'])."' && `password` = '".encrypt(filtr($_GET['password']))."'";  
if ($STH = $mysql->query($sql)) {  
$STH = $STH->fetch_row();
$STH = $STH[0];
if ($STH > 0) {  
$res = $mysql -> query("SELECT `id` FROM `".PREFIX."users` WHERE `login` = '".filtr($_GET['login'])."';"); 
$uid = $res -> fetch_assoc();
setcookie('userid', $uid['id'], time()+ 86400457, '/'); 
setcookie('password', md5(filtr($_GET['password'])), time()+ 86400457, '/');	 
header('Location: /?err=1');   
}  
else {echo '<div class="main">Неверный логин или пароль!</div>';} //Вывод ошибок
}} //Конец обработки


$act_name = 'Авторизация'; //Имя действия
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$act_name.'</div>'; //Вывод заголовка

 echo'<div class="text_form_all">';
//Вывод формы
echo '
<form action="?mod=user&amp;act=login" method="POST" class="main"> 
Логин:<br /> 
<input name="login" type="text"  class="text_form_input"/><br /> 
Пароль:<br /> 
<input name="password" type="password"  class="text_form_input"/><br /> 
<input type="submit" name="submit" value="Войти"  class="text_form_submit"/> 
</form>'; 
echo'</div>';


require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
?>
